Skip to main content
GET
/
cards
/
{cardId}
Get a card by ID
curl --request GET \
  --url https://api-dev.paygen.online/cards/{cardId} \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "debitAccountId": "<string>",
    "cardHolderId": "<string>",
    "type": "virtual",
    "brand": "Mastercard",
    "currency": "NGN",
    "metadata": {},
    "status": "<string>",
    "spendingControls": {
      "channels": {
        "atm": true,
        "pos": true,
        "web": true,
        "mobile": true
      },
      "allowedCategories": [
        "<string>"
      ],
      "blockedCategories": [
        "<string>"
      ],
      "spendingLimits": [
        {
          "amount": 123,
          "interval": "<string>",
          "categories": [
            "<string>"
          ]
        }
      ]
    },
    "enable2FA": true,
    "disposable": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardId
string
required

Response

200 - application/json

Card fetched successfully.

statusCode
integer
required
message
string
required
data
object